This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 574975 - RFE: Child software channels should inherit parent channels arch
RFE: Child software channels should inherit parent channels arch
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.8
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks: spacewalk-rfe space17
  Show dependency treegraph
 
Reported: 2010-03-18 21:22 EDT by Colin Coe
Modified: 2012-03-07 04:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-07 04:54:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Colin Coe 2010-03-18 21:22:30 EDT
Currently, when creating child software channels, one must specify the arch of the child when, IMOOO, the child should automatically detect and use the parents arch.

While minor, it is an easy thing to miss and cause problems later.
Comment 1 Jan Pazdziora 2010-10-27 04:32:02 EDT
Mass-aligning under space12, so that we don't lose track of this bugzilla. This however does not mean that we plan (will be able to) address this bug in Spacewalk 1.2.
Comment 2 Jan Pazdziora 2010-11-19 11:04:40 EST
Mass-moving to space13.
Comment 3 Miroslav Suchý 2011-04-11 03:33:17 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 4 Miroslav Suchý 2011-04-11 03:37:06 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 5 Jan Pazdziora 2011-07-20 07:51:25 EDT
Aligning under space16.
Comment 6 Milan Zazrivec 2012-01-13 12:38:04 EST
I decided to solve this problem by a simple javascript logic, which,
when a parent channel is chosen, automatically changes the channel
architecture to parent's arch.

spacewalk.git master: 9d6e5bff94ddaf8437c6f1a8648e31539c51ab8a

Thank you for your report, sorry for the delay!
Comment 7 Tomas Lestach 2012-02-10 07:46:43 EST
fixing the js function ...

spacewalk.git: 954ee9195c4a0cdbb5ea8210d9725b608c601839
Comment 8 Jan Pazdziora 2012-03-07 04:54:04 EST
Spacewalk 1.7 has been released:

https://fedorahosted.org/spacewalk/wiki/ReleaseNotes17

Note You need to log in before you can comment on or make changes to this bug.